Attribute VB_Name = "NameChange32"
Public Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function SendMessageByString Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As String) As Long
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Integer, ByVal lParam As Long) As Long
Public Declare Function SetFocusApi Lib "user32" Alias "SetFocus" (ByVal hwnd As Long) As Long
Public Declare Function GetWindowTextLength Lib "user32" Alias "GetWindowTextLengthA" (ByVal hwnd As Long) As Long
Public Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Public Declare Function GetWindow Lib "user32" (ByVal hwnd As Long, ByVal wCmd As Long) As Long
Public Declare Function GetClassName& Lib "user32" Alias "GetClassNameA" (ByVal hwnd As Long, ByVal lpClassName As String, ByVal nMaxCount As Long)
Public Declare Function PostMessage Lib "user32" Alias "PostMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long

Public Const WM_SETTEXT = &HC
Public Const BM_GETCHECK = &HF0
Public Const WM_LBUTTONDOWN = &H201
Public Const WM_LBUTTONUP = &H202
Public Const HWND_TOPMOST = -1

Public Function AOL_Caption(Text As String)
' This will change the aol caption to whatever
' You want

Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
Call SendMessageByString(AOLFrame&, WM_SETTEXT, 0&, Text)

End Function


Public Function AOL_TextBox(Text As String)
' This will change the AOL Text box
' "Type Keyword or Web Address here and click Go"
' To whatever you want

Dim Edit As Long
Dim AOLCombobox As Long
Dim AOLToolbar2 As Long
Dim AOLToolbar As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
AOLToolbar& = FindWindowEx(AOLFrame&, 0&, "AOL Toolbar", vbNullString)
AOLToolbar2& = FindWindowEx(AOLToolbar&, 0&, "_AOL_Toolbar", vbNullString)
AOLCombobox& = FindWindowEx(AOLToolbar2&, 0&, "_AOL_Combobox", vbNullString)
Edit& = FindWindowEx(AOLCombobox&, 0&, "Edit", vbNullString)
Call SendMessageByString(Edit&, WM_SETTEXT, 0&, Text)

End Function

Public Function Chat_Static2(Text As String)
' This will change the "people here" static to
' What ever you want

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "" + ChatName)
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 3&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Chat_Number(Text As String)
' This will change the number static of how many
' People are in a chat room

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "" + ChatName)
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 2&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Welcome_Caption(Text As String)
' This will change the "Welcome, "+ Your
' Screen Name, Note: This proccess is inreversable
' So you will have to close and restart aol to
' Change the caption again

Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Welcome, Iordmasta0!")
Call SendMessageByString(AOLChild&, WM_SETTEXT, 0&, Text)

End Function




Public Function Find_BuddyLWindow() As Long
' This will see if a buddylist window is open or not, and sets focus on it

Dim Counter As Long
Dim AOLStatic6 As Long
Dim AOLIcon4 As Long
Dim AOLStatic5 As Long
Dim AOLIcon3 As Long
Dim AOLStatic4 As Long
Dim AOLIcon2 As Long
Dim AOLStatic3 As Long
Dim AOLIcon As Long
Dim AOLStatic2 As Long
Dim AOLListbox As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", vbNullString)
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
AOLListbox& = FindWindowEx(AOLChild&, 0&, "_AOL_Listbox", vbNullString)
AOLStatic2& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
AOLIcon& = FindWindowEx(AOLChild&, 0&, "_AOL_Icon", vbNullString)
AOLStatic3& = FindWindowEx(AOLChild&, AOLStatic2&, "_AOL_Static", vbNullString)
AOLIcon2& = FindWindowEx(AOLChild&, AOLIcon&, "_AOL_Icon", vbNullString)
AOLStatic4& = FindWindowEx(AOLChild&, AOLStatic3&, "_AOL_Static", vbNullString)
AOLIcon3& = FindWindowEx(AOLChild&, AOLIcon2&, "_AOL_Icon", vbNullString)
AOLStatic5& = FindWindowEx(AOLChild&, AOLStatic4&, "_AOL_Static", vbNullString)
AOLIcon4& = FindWindowEx(AOLChild&, AOLIcon3&, "_AOL_Icon", vbNullString)
AOLIcon4& = FindWindowEx(AOLChild&, AOLIcon4&, "_AOL_Icon", vbNullString)
AOLStatic6& = FindWindowEx(AOLChild&, AOLStatic5&, "_AOL_Static", vbNullString)
Do While (Counter& <> 100&) And (AOLStatic& = 0& Or AOLListbox& = 0& Or AOLStatic2& = 0& Or AOLIcon& = 0& Or AOLStatic3& = 0& Or AOLIcon2& = 0& Or AOLStatic4& = 0& Or AOLIcon3& = 0& Or AOLStatic5& = 0& Or AOLIcon4& = 0& Or AOLStatic6& = 0&): DoEvents
    AOLChild& = FindWindowEx(MDIClient&, AOLChild&, "AOL Child", vbNullString)
    AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
    AOLListbox& = FindWindowEx(AOLChild&, 0&, "_AOL_Listbox", vbNullString)
    AOLStatic2& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
    AOLIcon& = FindWindowEx(AOLChild&, 0&, "_AOL_Icon", vbNullString)
    AOLStatic3& = FindWindowEx(AOLChild&, AOLStatic2&, "_AOL_Static", vbNullString)
    AOLIcon2& = FindWindowEx(AOLChild&, AOLIcon&, "_AOL_Icon", vbNullString)
    AOLStatic4& = FindWindowEx(AOLChild&, AOLStatic3&, "_AOL_Static", vbNullString)
    AOLIcon3& = FindWindowEx(AOLChild&, AOLIcon2&, "_AOL_Icon", vbNullString)
    AOLStatic5& = FindWindowEx(AOLChild&, AOLStatic4&, "_AOL_Static", vbNullString)
    AOLIcon4& = FindWindowEx(AOLChild&, AOLIcon3&, "_AOL_Icon", vbNullString)
    AOLIcon4& = FindWindowEx(AOLChild&, AOLIcon4&, "_AOL_Icon", vbNullString)
    AOLStatic6& = FindWindowEx(AOLChild&, AOLStatic5&, "_AOL_Static", vbNullString)
    If AOLStatic& And AOLListbox& And AOLStatic2& And AOLIcon& And AOLStatic3& And AOLIcon2& And AOLStatic4& And AOLIcon3& And AOLStatic5& And AOLIcon4& And AOLStatic6& Then Exit Do
    Counter& = Val(Counter&) + 1&
Loop
If Val(Counter&) < 100& Then
    Find_BuddyLWindow& = AOLChild&
    Call SetFocusApi(AOLChild&)
    Exit Function
End If
End Function
Public Function Find_IMWindow() As Long
' This will see if a im window is open or not, and sets focus on it

Dim Counter As Long
Dim AOLStatic2 As Long
Dim AOLIcon2 As Long
Dim RICHCNTL2 As Long
Dim AOLIcon As Long
Dim RICHCNTL As Long
Dim i As Long
Dim AOLStatic As Long
Dim AOLView As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", vbNullString)
AOLView& = FindWindowEx(AOLChild&, 0&, "_AOL_View", vbNullString)
AOLView& = FindWindowEx(AOLChild&, AOLView&, "_AOL_View", vbNullString)
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 2&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
RICHCNTL& = FindWindowEx(AOLChild&, 0&, "RICHCNTL", vbNullString)
AOLIcon& = FindWindowEx(AOLChild&, 0&, "_AOL_Icon", vbNullString)
For i& = 1& To 7&
    AOLIcon& = FindWindowEx(AOLChild&, AOLIcon&, "_AOL_Icon", vbNullString)
Next i&
RICHCNTL2& = FindWindowEx(AOLChild&, RICHCNTL&, "RICHCNTL", vbNullString)
AOLIcon2& = FindWindowEx(AOLChild&, AOLIcon&, "_AOL_Icon", vbNullString)
For i& = 1& To 5&
    AOLIcon2& = FindWindowEx(AOLChild&, AOLIcon2&, "_AOL_Icon", vbNullString)
Next i&
AOLStatic2& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Do While (Counter& <> 100&) And (AOLView& = 0& Or AOLStatic& = 0& Or RICHCNTL& = 0& Or AOLIcon& = 0& Or RICHCNTL2& = 0& Or AOLIcon2& = 0& Or AOLStatic2& = 0&): DoEvents
    AOLChild& = FindWindowEx(MDIClient&, AOLChild&, "AOL Child", vbNullString)
    AOLView& = FindWindowEx(AOLChild&, 0&, "_AOL_View", vbNullString)
    AOLView& = FindWindowEx(AOLChild&, AOLView&, "_AOL_View", vbNullString)
    AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
    For i& = 1& To 2&
        AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
    Next i&
    RICHCNTL& = FindWindowEx(AOLChild&, 0&, "RICHCNTL", vbNullString)
    AOLIcon& = FindWindowEx(AOLChild&, 0&, "_AOL_Icon", vbNullString)
    For i& = 1& To 7&
        AOLIcon& = FindWindowEx(AOLChild&, AOLIcon&, "_AOL_Icon", vbNullString)
    Next i&
    RICHCNTL2& = FindWindowEx(AOLChild&, RICHCNTL&, "RICHCNTL", vbNullString)
    AOLIcon2& = FindWindowEx(AOLChild&, AOLIcon&, "_AOL_Icon", vbNullString)
    For i& = 1& To 5&
        AOLIcon2& = FindWindowEx(AOLChild&, AOLIcon2&, "_AOL_Icon", vbNullString)
    Next i&
    AOLStatic2& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
    If AOLView& And AOLStatic& And RICHCNTL& And AOLIcon& And RICHCNTL2& And AOLIcon2& And AOLStatic2& Then Exit Do
    Counter& = Val(Counter&) + 1&
Loop
If Val(Counter&) < 100& Then
    Find_IMWindow2& = AOLChild&
Call SetFocusApi(AOLChild&)
    Exit Function
End If
End Function

Public Function IM_Caption(Text As String)
' This will change the im caption to what ever you want
' Note: The im window must be on top of all windows
' For this to work

Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", vbNullString)
Call SendMessageByString(AOLChild&, WM_SETTEXT, 0&, Text)
End If
End Function
Public Function Buddy_Static(Text As String)
' This will change the Static: "Keyword: BuddyView" to
' What ever you say

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Buddy List Window")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 5&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)
End Function
Public Function Chat_Static(Text As String)
' This will change the Static:
' "double click on name for more info" to
' What ever you say

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "" + ChatName)
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 4&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)
End Function
Public Function ChatName()
' This will get the chat name for changing the
' Chat statics and caption

ChatName = GetCaption(Find_Room)
End Function

Public Function Buddy_Static2(Text As String)
' This will change the Static: "Buddies Online" to
' What ever you say


Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Buddy List Window")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)
End Function
Public Function Buddy_Static3(Text As String)
' This will change the Static: "Buddy Chat" to
' What ever you say

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Buddy List Window")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 4&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function
Public Function Buddy_Static4(Text As String)
' This will change the Static: "Setup" to
' What ever you say

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Buddy List Window")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 3&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function
Public Function Buddy_Static5(Text As String)
' This will change the Static: "IM" to
' What ever you say

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Buddy List Window")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 2&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)
End Function
Public Function Buddy_Static6(Text As String)
' This will change the Static: "Locate" to
' What ever you say

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Buddy List Window")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)
End Function
Function Buddy_Caption(Text As String)
' This will change the Buddy List Window caption to
' What ever you want

Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Buddy List Window")
Call SendMessageByString(AOLChild&, WM_SETTEXT, 0&, Text)
End Function
Public Function Find_AOLWindow() As Long
' this will find the aol window, and sets focus on it

Dim Counter As Long
Dim AOLMMI As Long
Dim AOLToolbar As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLToolbar& = FindWindowEx(AOLFrame&, 0&, "AOL Toolbar", vbNullString)
AOLMMI& = FindWindowEx(AOLFrame&, 0&, "_AOL_MMI", vbNullString)
Do While (Counter& <> 100&) And (MDIClient& = 0& Or AOLToolbar& = 0& Or AOLMMI& = 0&): DoEvents
    AOLFrame& = FindWindowEx(AOLFrame&, AOLFrame&, "AOL Frame25", vbNullString)
    MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
    AOLToolbar& = FindWindowEx(AOLFrame&, 0&, "AOL Toolbar", vbNullString)
    AOLMMI& = FindWindowEx(AOLFrame&, 0&, "_AOL_MMI", vbNullString)
    If MDIClient& And AOLToolbar& And AOLMMI& Then Exit Do
    Counter& = Val(Counter&) + 1&
Loop
If Val(Counter&) < 100& Then
    Find_AOLWindow& = AOLFrame&
    Call SetFocusApi(AOLFrame&)
    Exit Function
End If
End Function
Public Function Chat_Caption(Text As String)
' This will change thechat room caption to what ever
' You want

Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "" + ChatName)
Call SendMessageByString(AOLChild&, WM_SETTEXT, 0&, Text)

End Function

Public Function GetCaption(hwnd)
' This will get the caption for aol or the chat
' Room

hwndLength% = GetWindowTextLength(hwnd)
hWndTitle$ = String$(hwndLength%, 0)
A% = GetWindowText(hwnd, hWndTitle$, (hwndLength% + 1))

GetCaption = hWndTitle$
End Function
Public Function FindChildByClass(Parent, child As String) As Integer
' This will find the window in a more advanced way

childfocus% = GetWindow(Parent, 5)

While childfocus%
buffer$ = String$(250, 0)
classbuffer% = GetClassName(childfocus%, buffer$, 250)

If InStr(UCase(buffer$), UCase(child)) Then FindChildByClass = childfocus%: Exit Function
childfocus% = GetWindow(childfocus%, 2)
Wend

End Function
Public Function Pause(howLong)
' This will pause a sub or function for as long
' As you put

current = Timer
Do While Timer - current < Val(howLong)
DoEvents
Loop
End Function
Function Find_Room()
' This will find the chat room and set focus on it

Dim Find_Room
Dim l
Dim listerb As Integer
Dim listere As Integer
Dim listers As Integer
Dim firs As Integer
Dim MDI As Integer
Dim AOL As Integer
    AOL% = FindWindow("AOL Frame25", vbNullString) '   MDI% = FindChildByClass(AOL%, "MDIClient")
    MDI% = FindChildByClass(AOL%, "MDIClient")
    firs% = GetWindow(MDI%, 5)
    listers% = FindChildByClass(firs%, "RICHCNTL")
    listere% = FindChildByClass(firs%, "RICHCNTL")
    listerb% = FindChildByClass(firs%, "_AOL_Listbox")
    Do While (listers% = 0 Or listere% = 0 Or listerb% = 0) And (l <> 100)
            DoEvents
            firs% = GetWindow(firs%, 2)
            listers% = FindChildByClass(firs%, "RICHCNTL")
            listere% = FindChildByClass(firs%, "RICHCNTL")
            listerb% = FindChildByClass(firs%, "_AOL_Listbox")
            If listers% And listere% And listerb% Then Exit Do
            l = l + 1
    Loop
    If (l < 100) Then
       Find_Room = firs%
       Exit Function
     End If
End Function

Public Function Keyword_Caption(Text As String)
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Keyword")
Call SendMessageByString(AOLChild&, WM_SETTEXT, 0&, Text)
End Function

Public Function Keyword_Static2(Text As String)
Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Keyword")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 2&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Keyword_Static(Text As String)
' Type an AOL Keyword or Web Address in the input
' box, then click Go

Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Keyword")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)
End Function
Public Function IM_Static(Text As String)
' Reminder:  AOL will never ask you for your
' password or billing information.

Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", vbNullString)
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 3&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function


Public Function Keyword_Static3(Text As String)
' Keyword

Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Keyword")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Mail_Caption(Text As String)
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
Call SendMessageByString(AOLChild&, WM_SETTEXT, 0&, Text)

End Function

Public Function Mail_SendTo(Text As String)
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Mail_Subject(Text As String)
Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 2&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function
Public Function Mail_CopyTo(Text As String)
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text$)

End Function

Public Function Mail_File2Upload(Text As String)
Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 5&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Mail_SendNow(Text As String)
Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 6&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Mail_SendLater(Text As String)
Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 7&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function


Public Function Mail_AddressBook(Text As String)
Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 8&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Mail_MailExtras(Text As String)
Dim i As Long
Dim AOLStatic As Long
Dim AOLChild As Long
Dim MDIClient As Long
Dim AOLFrame As Long
AOLFrame& = FindWindow("AOL Frame25", vbNullString)
MDIClient& = FindWindowEx(AOLFrame&, 0&, "MDIClient", vbNullString)
AOLChild& = FindWindowEx(MDIClient&, 0&, "AOL Child", "Write Mail")
AOLStatic& = FindWindowEx(AOLChild&, 0&, "_AOL_Static", vbNullString)
For i& = 1& To 9&
    AOLStatic& = FindWindowEx(AOLChild&, AOLStatic&, "_AOL_Static", vbNullString)
Next i&
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function


Public Function Upload_ChangeMinutes(Text As String)
Dim AOLStatic As Long
Dim AOLModal As Long
AOLModal& = FindWindow("_AOL_Modal", vbNullString)
AOLStatic& = FindWindowEx(AOLModal&, 0&, "_AOL_Static", vbNullString)
AOLStatic& = FindWindowEx(AOLModal&, AOLStatic&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function


Public Function Upload_ChangeFStatic(Text As String)
Dim AOLStatic As Long
Dim AOLModal As Long
AOLModal& = FindWindow("_AOL_Modal", vbNullString)
AOLStatic& = FindWindowEx(AOLModal&, 0&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function


Public Function Upload_ChangeCButton(Text As String)
Dim AOLButton As Long
Dim AOLModal As Long
AOLModal& = FindWindow("_AOL_Modal", vbNullString)
AOLButton& = FindWindowEx(AOLModal&, 0&, "_AOL_Button", vbNullString)
AOLButton& = FindWindowEx(AOLModal&, AOLButton&, "_AOL_Button", vbNullString)
Call SendMessageByString(AOLButton&, WM_SETTEXT, 0&, Text)

End Function

Public Function Upload_FileAbort(Text As String)
Dim AOLStatic As Long
Dim AOLModal As Long
AOLModal& = FindWindow("_AOL_Modal", vbNullString)
AOLStatic& = FindWindowEx(AOLModal&, 0&, "_AOL_Static", vbNullString)
Call SendMessageByString(AOLStatic&, WM_SETTEXT, 0&, Text)

End Function

Public Function Upload_WindowCaption(Text As String)
Dim AOLModal As Long
AOLModal& = FindWindow("_AOL_Modal", vbNullString)
Call SendMessageByString(AOLModal&, WM_SETTEXT, 0&, Text)
End Function

